Mark the caller as a contest winner
const url = 'https://api.caller9.app/v1/calls/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/win';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"prize":"Concert tickets"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.caller9.app/v1/calls/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/win \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "prize": "Concert tickets" }'Records a contest win dated now for the caller’s contact (resolved by the caller’s number, creating the contact if needed). Each request records a new win; it is not idempotent. Wins count toward the studio’s contest eligibility window.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Call ID (UUID).
Request Body
Section titled “Request Body”object
Optional prize description. Trimmed; longer values are truncated to 255 characters.
Example
{ "prize": "Concert tickets"}Responses
Section titled “Responses”Win recorded.
object
object
Win record id.
Example
{ "ok": true}no caller number to record a win for
object
Human-readable error message.
Machine-readable code (authentication failures only, e.g. KEY_EXPIRED, RATE_LIMITED).
Example generated
{ "error": "example", "code": "example"}Missing, invalid, expired or revoked API key.
object
Human-readable error message.
Machine-readable code (authentication failures only, e.g. KEY_EXPIRED, RATE_LIMITED).
Example generated
{ "error": "example", "code": "example"}The key isn’t allowed to do this (e.g. a read-only key making a change).
object
Human-readable error message.
Machine-readable code (authentication failures only, e.g. KEY_EXPIRED, RATE_LIMITED).
Example generated
{ "error": "example", "code": "example"}call not found — the call doesn’t exist, belongs to another organization,
or has already ended (or, for reorder, call not found in queue).
object
Human-readable error message.
Machine-readable code (authentication failures only, e.g. KEY_EXPIRED, RATE_LIMITED).
Example generated
{ "error": "example", "code": "example"}Too many requests for this API key. Retry after Retry-After seconds.
object
Human-readable error message.
Machine-readable code (authentication failures only, e.g. KEY_EXPIRED, RATE_LIMITED).
Example generated
{ "error": "example", "code": "example"}Headers
Section titled “Headers”Seconds until the rate-limit window resets.